Overview | Package | Class | Deprecated | Index | Help
| Groovy 1.7.10
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## groovy.time
[Java] Class Duration

    java.lang.Object
      groovy.time.BaseDuration
          groovy.time.Duration

    public class Duration
    extends BaseDuration

Duration represents time periods which have values independent of the context. So, whilst we can't say how long a month is without knowing the year and the name of the month, we know how long a day is independent of the date.

This is not 100% true for days. Days can actually be 23, 24 or 25 hours long (due to daylight saving adjustments.) If you ask Duration to convert itself to milliseconds then it will work on the basis of 24 hours in a day. If you add or subtract it from a date it will take daylight saving into account.

Authors:
  John Wilson tug@wilson.co.uk

Field Summary

Fields inherited from class BaseDuration
days, hours, millis, minutes, months, seconds, years

Constructor Summary
`Duration(int days, int hours, int minutes, int seconds, int millis)`

Method Summary
`Date` | `getAgo()`
`From` | `getFrom()`
`Duration` | `minus(Duration rhs)`
`TimeDuration` | `minus(TimeDuration rhs)`
`DatumDependentDuration` | `minus(DatumDependentDuration rhs)`
`TimeDatumDependentDuration` | `minus(TimeDatumDependentDuration rhs)`
`Duration` | `plus(Duration rhs)`
`Duration` | `plus(TimeDuration rhs)`
`DatumDependentDuration` | `plus(DatumDependentDuration rhs)`
`long` | `toMilliseconds()`

Methods inherited from class BaseDuration
getAgo, getDays, getFrom, getHours, getMillis, getMinutes, getMonths, getSeconds, getYears, plus, toMilliseconds, toString

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Constructor Detail

### Duration

    public Duration(int days, int hours, int minutes, int seconds, int millis)

Method Detail

### getAgo

    public Date getAgo()

### getFrom

    public From getFrom()

### minus

    public Duration minus(Duration rhs)

### minus

    public TimeDuration minus(TimeDuration rhs)

### minus

    public DatumDependentDuration minus(DatumDependentDuration rhs)

### minus

    public TimeDatumDependentDuration minus(TimeDatumDependentDuration rhs)

### plus

    public Duration plus(Duration rhs)

### plus

    public Duration plus(TimeDuration rhs)

### plus

    public DatumDependentDuration plus(DatumDependentDuration rhs)

### toMilliseconds

    public long toMilliseconds()

Copyright © 2003-2010 The Codehaus. All rights reserved.